# Get account by ID (v1) (deprecated)

{% admonition type="warning" %}
This is a deprecated v1 endpoint. For new integrations please use the v2 get endpoint.
{% /admonition %}

Get recipient account info by ID.

Endpoint: GET /v1/accounts/{accountId}
Security: UserToken

## Path parameters:

  - `accountId` (integer, required)
    Recipient account ID.

## Header parameters:

  - `X-External-Correlation-Id` (string)
    Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.
    Example: "f47ac10b-58cc-4372-a567-0e02b2c3d479"

## Response 200 fields (application/json):

  - `id` (integer)
    Recipient account ID.
    Example: 40000000

  - `business` (integer,null)
    Business profile ID (if applicable).

  - `profile` (integer)
    Personal or business profile ID.
    Example: 30000000

  - `accountHolderName` (string)
    Recipient full name.
    Example: "John Doe"

  - `currency` (string)
    3 character currency code.
    Example: "GBP"

  - `country` (string)
    2 character country code.
    Example: "GB"

  - `type` (string)
    Recipient type.
    Example: "sort_code"

  - `details` (object)
    Currency-specific fields. All possible fields are returned, with unused fields set to null.

  - `details.legalType` (string)
    Recipient legal type.
    Example: "PRIVATE"

  - `details.sortCode` (string)
    Recipient bank sort code (GBP example).
    Example: "040075"

  - `details.accountNumber` (string)
    Recipient bank account number (GBP example).
    Example: "37778842"

  - `user` (integer)
    User that created or owns this recipient.
    Example: 10000000

  - `active` (boolean)
    Status of the recipient.
    Example: true

  - `ownedByCustomer` (boolean)
    Whether this account is owned by the sending user.

  - `confirmations` (object)
    Verification results for the recipient's details.

  - `confirmations.acceptedOutcomes` (boolean)

  - `confirmations.acceptedAt` (string,null)

  - `confirmations.quoteId` (string,null)

  - `confirmations.outcomes` (array)


